package com.engine.salary.formlua.func.find;


import com.engine.salary.formlua.entity.parameter.DataType;

/**
 * 查找函数
 */
public interface FindFuncsService {
    Object chooseOne(Object... objects);
    /**
     * choose函数
     * @param objs
     * @return
     */
    Object choose(Object... objs);

    /**
     * match函数
     * @param objs
     * @return
     */
    DataType match(Object... objs);

    /**
     * vlookups函数
     * @param objs
     * @return
     */
    Object vlookups(Object... objs);
}
